import com.alibaba.fastjson.JSONObject;
import com.gic.commons.util.DateUtil;
import org.apache.commons.lang3.StringUtils;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.math.BigDecimal;
import java.util.*;

public class FileUtils4 {

    public static void main(String[] args) {

        Date endTime = DateUtil.strToDate("2025-06-30","yyyy-MM-dd") ;

        if(DateUtil.getStartTimeOfDay(endTime).getTime()  - 1000*3600*24*3 <= DateUtil.getStartTimeOfDay().getTime()) {
            System.out.printf(""+DateUtil.daysBetween(DateUtil.getStartTimeOfDay(), DateUtil.getStartTimeOfDay(endTime)));
            if(DateUtil.getStartTimeOfDay(endTime).getTime()<DateUtil.getStartTimeOfDay().getTime() && DateUtil.daysBetween(DateUtil.getStartTimeOfDay(endTime),DateUtil.getStartTimeOfDay())>1) {
                return;
            }

            System.out.printf("1111");

        }



  /*      List<X> list = getText() ;
        Collections.sort(list);
        Collections.reverse(list);
        System.out.println(JSONObject.toJSONString(list));*/
    }
    
    public  static List<X> getText(){
        try {
            BufferedReader bw = new BufferedReader(new FileReader(new File("d:\\c.txt"))) ;
            List<X> sb = new ArrayList<>() ;
            while(true) {
                String s =  bw.readLine() ;
                if(StringUtils.isBlank(s)) {
                    break ;
                }else {
                    String ss = new String(s.getBytes(),"UTF-8") ;
                    String[] arr = ss.split("\\s") ;
                    String s1 = arr[0] ;
                    String s2 = arr[1] ;
                    sb.add(new X(s1,s2));
                }
            }
            bw.close();
            System.out.println(sb.size());
            return sb ;
        }catch(Exception e) {
        }
        return null ;
    }


   static class X implements Comparable<X>{
        public String id ;
        public String name ;

        public X(String id, String name) {
            this.id = id ;
            this.name = name ;
        }

       @Override
       public int compareTo(X o) {
           return Integer.valueOf(o.id) - Integer.valueOf(this.id);
       }
   }
}
